import visad.*;
import visad.java3d.DisplayImplJ3D;
import visad.java2d.DisplayImplJ2D;
import java.rmi.RemoteException;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

class f2 extends f_xj
{
public double func(double x[]) 
{
//çözümü istenen fonksiyon	
double ff;
double W=1.0;
double L=1.0;
double toplam=0;
double artieksi=1;
for(double n=1;n<200;n++)
{toplam+=((artieksi+1)/n)*Math.sin(n*Math.PI*x[0]/L)*Math.sinh(n*Math.PI*x[1]/L)/Math.sinh(n*Math.PI*W/L);artieksi*=-1;
//System.out.println("toplam="+toplam);
}
toplam*=2.0/Math.PI;
return toplam; 
}
}

  public class HT_duzlem
  {
  public static void main(String[] args) throws RemoteException, VisADException
  { f2 f=new f2();
    Plot3D.contour(f,0.0,1.0,0.0,1.0);
  }
  }